package com.cirs.biz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.cirs.common.annotation.Excel;
import com.cirs.common.core.domain.BaseEntity;

/**
 * 页面浏览时长对象 t_page_view_time
 * 
 * @author allen
 * @date 2023-11-03
 */
public class TPageViewTime extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 元器件名称 */
    @Excel(name = "元器件编号")
    private String componentId;

    /** 浏览时长（s） */
    @Excel(name = "浏览时长", readConverterExp = "s=")
    private Long viewTime;

    /** 使用场景 */
    @Excel(name = "使用场景")
    private String useScene;

    @Excel(name = "查询条件")
    private String searchCondition;

    public void setSearchCondition(String searchCondition)
    {
        this.searchCondition = searchCondition;
    }

    public String getSearchCondition()
    {
        return searchCondition;
    }
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setComponentId(String componentId) 
    {
        this.componentId = componentId;
    }

    public String getComponentId() 
    {
        return componentId;
    }
    public void setViewTime(Long viewTime) 
    {
        this.viewTime = viewTime;
    }

    public Long getViewTime() 
    {
        return viewTime;
    }
    public void setUseScene(String useScene)
    {
        this.useScene = useScene;
    }

    public String getUseScene()
    {
        return useScene;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("componentId", getComponentId())
            .append("viewTime", getViewTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("useScene",getUseScene())
            .toString();
    }
}
